package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 监控模板管理对象 mtm_monitoring_template
 * 
 * @author gyt
 * @date 2025-08-12
 */
public class MtmMonitoringTemplate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 模板名称 */
    @Excel(name = "模板名称")
    private String templateName;

    /** 描述 */
    @Excel(name = "描述")
    private String description;

    /** 项类型 */
    @Excel(name = "项类型")
    private String itemType;

    /** 包含资源 */
    @Excel(name = "包含资源")
    private String includedResources;

    /** 发现项类型 */
    @Excel(name = "发现项类型")
    private String discoveryItemType;

    /** 项名 */
    @Excel(name = "项名")
    private String itemName;

    /** 项描述 */
    @Excel(name = "项描述")
    private String itemDescription;

    /** 创建人id */
    @Excel(name = "创建人id")
    private Long creatorId;

    /** 创建人名称 */
    @Excel(name = "创建人名称")
    private String creatorName;

    /** 修改人id */
    @Excel(name = "修改人id")
    private Long updaterId;

    /** 修改人名称 */
    @Excel(name = "修改人名称")
    private String updaterName;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setTemplateName(String templateName) 
    {
        this.templateName = templateName;
    }

    public String getTemplateName() 
    {
        return templateName;
    }

    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }

    public void setItemType(String itemType) 
    {
        this.itemType = itemType;
    }

    public String getItemType() 
    {
        return itemType;
    }

    public void setIncludedResources(String includedResources) 
    {
        this.includedResources = includedResources;
    }

    public String getIncludedResources() 
    {
        return includedResources;
    }

    public void setDiscoveryItemType(String discoveryItemType) 
    {
        this.discoveryItemType = discoveryItemType;
    }

    public String getDiscoveryItemType() 
    {
        return discoveryItemType;
    }

    public void setItemName(String itemName) 
    {
        this.itemName = itemName;
    }

    public String getItemName() 
    {
        return itemName;
    }

    public void setItemDescription(String itemDescription) 
    {
        this.itemDescription = itemDescription;
    }

    public String getItemDescription() 
    {
        return itemDescription;
    }

    public void setCreatorId(Long creatorId) 
    {
        this.creatorId = creatorId;
    }

    public Long getCreatorId() 
    {
        return creatorId;
    }

    public void setCreatorName(String creatorName) 
    {
        this.creatorName = creatorName;
    }

    public String getCreatorName() 
    {
        return creatorName;
    }

    public void setUpdaterId(Long updaterId) 
    {
        this.updaterId = updaterId;
    }

    public Long getUpdaterId() 
    {
        return updaterId;
    }

    public void setUpdaterName(String updaterName) 
    {
        this.updaterName = updaterName;
    }

    public String getUpdaterName() 
    {
        return updaterName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("templateName", getTemplateName())
            .append("description", getDescription())
            .append("itemType", getItemType())
            .append("includedResources", getIncludedResources())
            .append("discoveryItemType", getDiscoveryItemType())
            .append("itemName", getItemName())
            .append("itemDescription", getItemDescription())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("creatorId", getCreatorId())
            .append("creatorName", getCreatorName())
            .append("updaterId", getUpdaterId())
            .append("updaterName", getUpdaterName())
            .toString();
    }
}
